Subject: bug#78492: [PATCH] 31.0.50; eglot.el does not support pyrefly LSP server (python)

From: Jostein Kjønigsen <[email-masked]>
Date: Mon, 19 May 2025 13:17:31 +0200

> On 19 May 2025, at 12:53, Ship Mints <[email-masked]> wrote:
> 
> On Mon, May 19, 2025 at 6:50 AM Jostein Kjønigsen <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>>> On 19 May 2025, at 12:37, Ship Mints <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> Cool.  You jumped on pyrefly fast.  As eglot supports only one LSP server at a time per session (for now...I think Joao has a multiplexer idea), it might also be good to see pyrefly integrated into pylsp as mypy is (see https://github.com/python-lsp/pylsp-mypy).  This way, eglot users can benefit from simultaneous linting, type checking, and code navigation vs. just type checking alone which is what they'd get using pyrefly as an LSP.  To be clear, I'm not saying skip the patch, I'm saying let's also encourage integration under a multiplexing LSP.
>> 
>> Hey!
>> 
>> Thanks for the quick reply.
>> 
>> I have to admit I didn't know about that whole pylsp-extensibility-and-multiplexing story. It sounds useful, but I don't feel like that's something I'm going to be taking charge of.
> 
> I suggested encouraging not volunteering but of course you could do both!  How about at least submitting an issue for the feature request here https://github.com/python-lsp/python-lsp-server/issues
> 

Created an issue. It can be found here:
https://github.com/python-lsp/python-lsp-server/issues/648

Now... Back to actual code in actual Emacs, and my patch specifically. Who can review it, test it and get it merged? ;)

--
Jostein